Bug 254932 - sysutils/zoxide: Update to 0.6.0
Summary: sysutils/zoxide: Update to 0.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 22:49 UTC by Andrey Cherkashin
Modified: 2021-04-12 17:15 UTC (History)
1 user (show)

See Also:
andoriyu: maintainer-feedback+


Attachments
zoxide-0.6.0.patch (24.90 KB, text/plain)
2021-04-09 22:49 UTC, Andrey Cherkashin
andoriyu: maintainer-approval+
Details
zoxide-0.6.0.patch (24.72 KB, patch)
2021-04-10 20:58 UTC, Andrey Cherkashin
andoriyu: maintainer-approval+
Details | Diff
zoxide-0.6.0.patch (24.32 KB, patch)
2021-04-11 19:19 UTC, Andrey Cherkashin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2021-04-09 22:49:42 UTC
Created attachment 223964 [details]
zoxide-0.6.0.patch
Comment 2 Kevin Bowling freebsd_committer 2021-04-10 03:40:54 UTC
I'm having trouble applying your patch, is it from an up to date ports tree?
Comment 3 Andrey Cherkashin 2021-04-10 20:58:55 UTC
Created attachment 224001 [details]
zoxide-0.6.0.patch

Fixed tabs
Comment 4 Kevin Bowling freebsd_committer 2021-04-11 18:48:08 UTC
Can you regenerate your patch with correct line endings?  I can do it but it is beneficial if you know how to produce the patches in the future.
Comment 5 Andrey Cherkashin 2021-04-11 19:19:17 UTC
Created attachment 224031 [details]
zoxide-0.6.0.patch

Patch with correct line endings.

Figured out where incorrect line endings came from: instead of attaching file, I've pasted file content by copying & pasting it in windows. My bad.
Comment 6 commit-hook freebsd_committer 2021-04-12 17:11:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1c59357fad6f57099ae247c99d2d2b1913c63c48

commit 1c59357fad6f57099ae247c99d2d2b1913c63c48
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-12 17:09:32 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-12 17:10:29 +0000

    sysutils/zoxide: Update to 0.6.0

    PR:             254932
    Approved by:    Andrey Cherkashin <andoriyu@gmail.com> (maintainer)

 sysutils/zoxide/Makefile | 121 +++++++++++++++---------
 sysutils/zoxide/distinfo | 236 ++++++++++++++++++++++++++++++-----------------
 2 files changed, 225 insertions(+), 132 deletions(-)
Comment 7 Kevin Bowling freebsd_committer 2021-04-12 17:15:01 UTC
Thanks for your contribution!